Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 206520 - Double click in 'Usages' dialoge
Double click in 'Usages' dialoge
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
7.1
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Ralph Ruijs
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-19 09:50 UTC by tomzi
Modified: 2012-07-14 02:57 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomzi 2011-12-19 09:50:18 UTC
.) Call 'Find Usage' on some private variable -> results are being shown in the Usages dialoge.

eg
Usage of variableA [2 occurrences]
-.. moduleA
  - .. myPackage.subpackage
    - .. MyClass.java
      -.. MyClass
       -.. getVariableA
          -> return VariableA;
       -.. setVariableA
          -> this.variableA = variableA;


Currently if I click on 'MyClass.java', 'return VariableA', 'this.variableA = variableA;' the corresponding part in the Class is being opened. 
However the user is not able to see which part of that tree actually opens something. So I keep trying to click on parts of the tree eg. 'getVariableA' in order to be navigated to the getter, but it actually doesn't.

This behaviour is kinda frustrating because as I said, some parts of the tree open sth, and some don't, but I don't know which part does and which part does not. So I keep trying. And that adds to the frustration level ...

I would expect eg:
Additionally, double clicking on:
.) 'MyClass' (not just 'MyClass.java') will navigate me to MyClass (or the eg the first constructor)
.) 'getVariableA' and ' setVariableA' will navigate me to the beginning of each method.

Thx

Product Version = NetBeans IDE 7.1 RC1 (Build 201112051121)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0
Runtime = Java HotSpot(TM) 64-Bit Server VM 21.0-b17
Comment 1 Ralph Ruijs 2012-07-12 10:30:56 UTC
Changeset: c3e425f49832
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-07-12 12:29
Message:   
Issue #206520 - Double click in 'Usages' dialoge
Comment 2 Quality Engineering 2012-07-14 02:57:17 UTC
Integrated into 'main-golden', will be available in build *201207140002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/c3e425f49832
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #206520 - Double click in 'Usages' dialoge


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo